config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.openvswitch.new
( cd usr/lib64 ; rm -rf libofproto-3.3.so.0 )
( cd usr/lib64 ; ln -sf libofproto-3.3.so.0.0.6 libofproto-3.3.so.0 )
( cd usr/lib64 ; rm -rf libofproto.so )
( cd usr/lib64 ; ln -sf libofproto-3.3.so.0.0.6 libofproto.so )
( cd usr/lib64 ; rm -rf libopenvswitch-3.3.so.0 )
( cd usr/lib64 ; ln -sf libopenvswitch-3.3.so.0.0.6 libopenvswitch-3.3.so.0 )
( cd usr/lib64 ; rm -rf libopenvswitch.so )
( cd usr/lib64 ; ln -sf libopenvswitch-3.3.so.0.0.6 libopenvswitch.so )
( cd usr/lib64 ; rm -rf libovsdb-3.3.so.0 )
( cd usr/lib64 ; ln -sf libovsdb-3.3.so.0.0.6 libovsdb-3.3.so.0 )
( cd usr/lib64 ; rm -rf libovsdb.so )
( cd usr/lib64 ; ln -sf libovsdb-3.3.so.0.0.6 libovsdb.so )
( cd usr/lib64 ; rm -rf libsflow-3.3.so.0 )
( cd usr/lib64 ; ln -sf libsflow-3.3.so.0.0.6 libsflow-3.3.so.0 )
( cd usr/lib64 ; rm -rf libsflow.so )
( cd usr/lib64 ; ln -sf libsflow-3.3.so.0.0.6 libsflow.so )
( cd usr/lib64 ; rm -rf libvtep-3.3.so.0 )
( cd usr/lib64 ; ln -sf libvtep-3.3.so.0.0.6 libvtep-3.3.so.0 )
( cd usr/lib64 ; rm -rf libvtep.so )
( cd usr/lib64 ; ln -sf libvtep-3.3.so.0.0.6 libvtep.so )
